summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorOle Markus With <olemarkus@gentoo.org>2010-10-06 19:58:45 +0000
committerOle Markus With <olemarkus@gentoo.org>2010-10-06 19:58:45 +0000
commitaf9fa36b1e3d6bc18f2f6ffc33d8ab4d442e6bf9 (patch)
treeb273b58976cd1b44efa6842f59be150a792d518a /eclass
parentVersion bump (diff)
downloadhistorical-af9fa36b1e3d6bc18f2f6ffc33d8ab4d442e6bf9.tar.gz
historical-af9fa36b1e3d6bc18f2f6ffc33d8ab4d442e6bf9.tar.bz2
historical-af9fa36b1e3d6bc18f2f6ffc33d8ab4d442e6bf9.zip
Added die to emake test in php-ext-pecl-
Diffstat (limited to 'eclass')
-rw-r--r--eclass/php-ext-pecl-r1.eclass4
-rw-r--r--eclass/php-ext-pecl-r2.eclass4
-rw-r--r--eclass/php-ext-source-r2.eclass10
3 files changed, 8 insertions, 10 deletions
diff --git a/eclass/php-ext-pecl-r1.eclass b/eclass/php-ext-pecl-r1.eclass
index 7981b0a2e5fd..63b7b882b8f0 100644
--- a/eclass/php-ext-pecl-r1.eclass
+++ b/eclass/php-ext-pecl-r1.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-ext-pecl-r1.eclass,v 1.12 2010/09/13 13:44:14 mabi Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-ext-pecl-r1.eclass,v 1.13 2010/10/06 19:58:45 olemarkus Exp $
#
# Author: Tal Peer <coredumb@gentoo.org>
# Author: Luca Longinotti <chtekk@gentoo.org>
@@ -99,5 +99,5 @@ php-ext-pecl-r1_src_test() {
# away from there in src_compile
ln -s "${WORKDIR}/${PHP_EXT_NAME}-default.so" "${S}/modules/${PHP_EXT_NAME}.so"
- NO_INTERACTION="yes" emake test
+ NO_INTERACTION="yes" emake test || die "emake test failed"
}
diff --git a/eclass/php-ext-pecl-r2.eclass b/eclass/php-ext-pecl-r2.eclass
index 2b4c3cc7926c..cc4c40cb4cc5 100644
--- a/eclass/php-ext-pecl-r2.eclass
+++ b/eclass/php-ext-pecl-r2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-ext-pecl-r2.eclass,v 1.1 2010/10/06 08:25:51 olemarkus Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-ext-pecl-r2.eclass,v 1.2 2010/10/06 19:58:45 olemarkus Exp $
#
# Author: Tal Peer <coredumb@gentoo.org>
# Author: Luca Longinotti <chtekk@gentoo.org>
@@ -96,7 +96,7 @@ php-ext-pecl-r2_src_install() {
php-ext-pecl-r2_src_test() {
for slot in `php_get_slots`; do
- NO_INTERACTION="yes" emake test
+ NO_INTERACTION="yes" emake test || die "emake test failed for slot ${slot}"
done
}
diff --git a/eclass/php-ext-source-r2.eclass b/eclass/php-ext-source-r2.eclass
index af881ce99b52..15fea9bfede4 100644
--- a/eclass/php-ext-source-r2.eclass
+++ b/eclass/php-ext-source-r2.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/php-ext-source-r2.eclass,v 1.1 2010/10/06 08:25:51 olemarkus Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/php-ext-source-r2.eclass,v 1.2 2010/10/06 19:58:45 olemarkus Exp $
#
# Author: Tal Peer <coredumb@gentoo.org>
# Author: Stuart Herbert <stuart@gentoo.org>
@@ -62,17 +62,15 @@ esac
# Lists the PHP slots compatibile the extension is compatibile with
[[ -z "$USE_PHP" ]] && USE_PHP="php5-2 php5-3"
-for target in $USE_PHP; do
- IUSE="${IUSE} php_targets_$target"
-done
-
#Make sure at least one target is installed. Abuses USE dependencies.
for target in $USE_PHP; do
+ IUSE="${IUSE} php_targets_$target"
target=${target/+}
SELFDEPEND="$SELFDEPEND =$CATEGORY/$PF[php_targets_$target]"
slot=${target/php}
slot=${slot/-/.}
- PHPDEPEND="$PHPDEPEND php_target_$target? ( dev-lang/php:${slot} )"
+ PHPDEPEND="$PHPDEPEND
+ php_targets_$target? ( dev-lang/php:${slot} )"
done
RDEPEND="${RDEPEND}